Logos Not Working on Mac Catalina

Page 1 of 1 (6 items)
This post has 5 Replies | 2 Followers

Posts 9
Mike Stephens | Forum Activity | Posted: Thu, Oct 10 2019 8:06 AM

I recently upgraded to Mac Catalina and now Logos will not load at all. Is there any fix for this?

Posts 2302
mab | Forum Activity | Replied: Thu, Oct 10 2019 8:11 AM

Make sure you have the latest version of Logos installed. 8.8 SR-1

Anything before 8.8 will have some known issues.

The mind of man is the mill of God, not to grind chaff, but wheat. Thomas Manton | Study hard, for the well is deep, and our brains are shallow. Richard Baxter

Posts 18007
Forum MVP
Keep Smiling 4 Jesus :) | Forum Activity | Replied: Thu, Oct 10 2019 8:17 AM

Mike Stephens:

I recently upgraded to Mac Catalina and now Logos will not load at all. Is there any fix for this?

Concur Logos 8.8+ (or Verbum 8.8+) is needed for macOS 10.15 Catalina.

Logos 8 upgrade is free => Logos 8 Basic

Verbum 8 upgrade is also free => Verbum 8 Basic

Keep Smiling Smile

Posts 2718
LogosEmployee
Philana R. Crouch | Forum Activity | Replied: Thu, Oct 10 2019 9:58 AM

Mike Stephens:

I recently upgraded to Mac Catalina and now Logos will not load at all. Is there any fix for this?

Hi Mike,

I took a look at your account and you don't have access to the desktop version of Logos 8. You'll need log into your account at www.logos.com and order Logos 8 Basic (which is 100% free) to gain access to the desktop version which should be compatible with macOS 10.15 Catalina.

I hope this helps,

Philana Crouch

Posts 1
Teresa Wilcox | Forum Activity | Replied: Mon, Oct 14 2019 1:21 PM

So all of us on Logos 7 need to upgrade to 8 if we are running Catalina?

Posts 2718
LogosEmployee
Philana R. Crouch | Forum Activity | Replied: Mon, Oct 14 2019 2:54 PM

Teresa Wilcox:

So all of us on Logos 7 need to upgrade to 8 if we are running Catalina?

Yes you will have to update to Logos 8 in order for Logos to work on Catalina. 

Page 1 of 1 (6 items) | RSS